package com.gingersoft.gsa.cloud.download.mvp.model.bean;

import com.gingersoft.gsa.cloud.database.bean.Function;

import java.util.List;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2019-12-28
 * 修订历史：2019-12-28
 * 描述：
 */
public class FunctionBean {


    /**
     * success : true
     * sysTime : -7.619911602086376E7
     * data : [{"id":-5.450051876040924E7,"status":-6.594638520577614E7,"resName":"non voluptate dolore","resUrl":"sint commodo e","imageURL":"magna sed amet","effectiveTime":8.640891249642807E7},{"id":1112433.804151535,"status":-3.182369490576437E7,"resName":"ipsum magna consequat","resUrl":"in aute","imageURL":"ex non","effectiveTime":-9849064.144339263},{"id":-2.01689121716702E7,"status":-2.10107447801203E7,"resName":"quis","resUrl":"labore consectetur nulla commodo dolor","imageURL":"reprehenderit elit ut","effectiveTime":-3.802933142238536E7},{"id":2.3366445040371537E7,"status":1.2426946110723421E7,"resName":"exercitation qui consectetur est","resUrl":"aute commodo dolor","imageURL":"ea sunt","effectiveTime":3.1788614539086968E7}]
     */

    private boolean success;
    private String errMsg;
    private double sysTime;
    private List<Function> data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getErrMsg() {
        return errMsg;
    }

    public void setErrMsg(String errMsg) {
        this.errMsg = errMsg;
    }

    public double getSysTime() {
        return sysTime;
    }

    public void setSysTime(double sysTime) {
        this.sysTime = sysTime;
    }

    public List<Function> getData() {
        return data;
    }

    public void setData(List<Function> data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * id : 5
         * status : 1
         * resName : non voluptate dolore
         * resUrl : sint commodo e
         * imageURL : magna sed amet
         * effectiveTime : 640891249642807E7
         */

        private int id;
        private int status;
        private long effectiveTime;
        private String resName;
        private String resUrl;
        private String imageURL;


        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public String getResName() {
            return resName;
        }

        public void setResName(String resName) {
            this.resName = resName;
        }

        public String getResUrl() {
            return resUrl;
        }

        public void setResUrl(String resUrl) {
            this.resUrl = resUrl;
        }

        public String getImageURL() {
            return imageURL;
        }

        public void setImageURL(String imageURL) {
            this.imageURL = imageURL;
        }

        public long getEffectiveTime() {
            return effectiveTime;
        }

        public void setEffectiveTime(long effectiveTime) {
            this.effectiveTime = effectiveTime;
        }
    }
}
